Subject: [ippm] AD review for the 2679 test plan/results document

From: Wesley Eddy <[email-masked]>
Date: Tue, 15 May 2012 22:39:56 -0400

Hi, even though this looks like a lot of comments, I found
the draft-ietf-ippm-testplan-rfc2679 document to overall be
a very good and useful document.  I think most of my AD
review comments are actually easy to address, but due to the
volume of them, a revised I-D is really needed before taking
this to IETF Last Call and the IESG:

- suggest changing:
  "The IETF (IP Performance Metrics working group, IPPM)"
  to:
  "The IETF IP Performance Metrics (IPPM) working group"

- the reference to draft-bradner in the first sentence of
  the introduction is odd; I would expect it to just show
  up as "[draft-bradner-metricstest]" and not have the
  part that says "ref to work in progress" or the trailing
  dash on it

- in the last paragraph of section 1, a space is missing
  prior to the reference to RFC 5657

- in the last paragraph of section 1:
  "procedures, results"
  should be:
  "procedures, and results"

- in section 2, references to RFC 6576 should replace the
  ones to the earlier I-D, and this section should either
  be cut-down in content or eliminated as it attmpts to
  include too much verbatim from the other document that
  can simply be cited instead

- in section 3, "WIPM" is not expanded and doesn't have a
  citation; I don't expect all other readers to necessarily
  know what this is

- in paragraph 2 of section 3, "periodic" is uncapitalized,
  even though it was capitalized in the prior paragraph

- the URLs for Fedora in section 3 should probably be real
  informative references rather than URLs embedded in square
  brackets

- in section 3,
  ""mii-tool"when"
  should be:
  ""mii-tool" when"
  if there's really even a need to mention the command by
  name; I think it's sufficient to say that the links were
  found to be in half-duplex without mentioning mii-tool
  specifically

- section 3 mentions 3 packet sizes that were used (64, 340,
  and 500 bytes); was there any reason these specific
  numbers were picked?  Was there any reason to avoid
  larger packets that might have been interesting (e.g.
  ones that would be fragmented?)

- in section 4.1,
  "Best Effort DCSP"
  should be:
  "Best Effort DSCP"?

- Section 4.2 has some use of "Perfas" mixed with "Perfas+"
  in other places; one should be used consistently

- Section 5 seems to include a paraphrase of what's in RFC
  6576 Section 3.1, without citing it?

- reference to the metrictest document can be updated to
  point to RFC 6576

- in Section 6.1.4, "out lier" should be "outlier"

- Section 6.1.5 has this note:
   >>>> To be provided:
   >>>> Overall statement about Correction Factors w.r.t. section 5
   limits.
   >>>> Appendix with more details ???

-- 
Wes Eddy
MTI Systems